
From: Lennert Buytenhek <buytenh@marvell.com>
Subject: HelixPlayer: don't require prelink on ARM platforms

As ARM doesn't provide prelink, don't build-require it when building
HelixPlayer for ARM.

Signed-off-by: Lennert Buytenhek <buytenh@marvell.com>

Index: SPECS/HelixPlayer.spec
===================================================================
--- SPECS.orig/HelixPlayer.spec
+++ SPECS/HelixPlayer.spec
@@ -2,7 +2,7 @@ Summary:	Open source media player based 
 Name:		HelixPlayer
 Version:	1.0.9
 Epoch:		1
-Release:	1%{?dist}
+Release:	1%{?dist}.fa1
 Group:		Applications/Multimedia
 License:	RPSL, GPL
 URL:		https://player.helixcommunity.org/
@@ -22,7 +22,10 @@ Patch4:     HelixPlayer-1.0.7-ogg.patch
 
 BuildRequires:	libtheora-devel >= 1.0alpha3-3
 BuildRequires:	libvorbis-devel
-BuildRequires:	gtk2-devel, python, prelink
+BuildRequires:	gtk2-devel, python
+%ifnarch %{arm}
+BuildRequires:  prelink
+%endif
 BuildRequires:	libogg-devel
 BuildRequires:	desktop-file-utils
 %if "%{?fedora}" > "4" || "%{?rhel}" > "4" || "%{?fedora}%{?rhel}" == ""
